al_set_mixer_postprocess_callback(3)

NAME

al_set_mixer_postprocess_callback - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    bool al_set_mixer_postprocess_callback(ALLEGRO_MIXER *mixer,
       void (*pp_callback)(void *buf, unsigned int samples, void *data),
       void *pp_callback_userdata)

DESCRIPTION

Sets a post-processing filter function that's called after the attached streams have been mixed. The buffer's format will be whatever the mixer was created with. The sample count and user-data pointer is also passed.

    Note: The callback is called from a dedicated audio thread.